<p align="center">
  <img src="./assets/PyRPS_banner.png" alt="PyRPS Logo"/>
</p>
<hr>
<p align="center">
  <i>Instantly play rock-paper-scissors with a simple CLI interface ⚔️</i>
</p>
<p align="center">
  <img src="./assets/PyRPS.gif" alt="Description"/>
</p>

<p align="center">
  <a href="#-about">🧐 About</a> •
  <a href="#-features">✨ Features</a> •
  <a href="#-installation">🛠️ Installation</a> •
  <a href="#-usage">🚀 Usage</a> •
  <a href="#-contributing">🤝 Contributing</a> •
  <a href="#-license">📄 License</a> •
  <a href="#-contact">📫 Contact</a>
</p>

## 🧐 About

**PyRPS** is a straightforward command-line interface (CLI) game for playing rock-paper-scissors. It’s built in Python and designed for quick, casual gameplay. Whether you’re looking to kill some time or practice Python scripting, PyRPS offers a fun and simple experience.

## ✨ Features

- **Simple CLI Interface**: Play rock-paper-scissors directly in your terminal.

- **Lightweight**: Minimal dependencies make it quick and easy to run.

- **Cross-Platform**: Works on Windows, MacOS & Linux!

## 🛠️ Installation

PyRPS can be installed via **pip**!
However, make sure that you have **Python version 3.11 or greater** installed in your system.

- **For Windows**

```bash
pip install ayrun-pyrps
```

- **For MacOS & Linux**

```bash
pip3 install ayrun-pyrps
```

## 🚀 Usage

After installing, run the `rps` command in your console to run PyRPS!

```bash
rps
```

## 🤝 Contributing

Contributions are welcome! Please follow these steps to contribute:

1. **Fork the project**

2. **Create a new branch**

```bash
git checkout -b feature/YourFeature
```

3. **Commit your changes**

```bash
git commit -m "Add YourFeature"
```

4. **Push to the branch**

```bash
git push origin feature/YourFeature
```

5. **Open a Pull Request( PR )**

<br>

Please make sure your code is **well-documented** and follows the **project's coding style**.

## 📄 License

This project is licensed under the MIT License - see the [LICENSE](./LICENSE) file for details.

## 📫 Contact

For any questions or suggestions, feel free to reach out:

- **Email**: ayrun3412@gmail.com
- **Discord**: its.ayrun
- **GitHub Issues**

---



